<template>
	<img class="control" :src="path" />
</template>

<script>
	export default {
		computed: {
			path: function () {
				return `./assets/controls/${this.device}/${this.type}.png`
			}
		},
		name: "control",
		props: [ "device", "type" ]
	}
</script>

<style lang="less" scoped>
	img {
		display: inline-block;
		height: .75em;
	}
</style>
